@import 'styles/main.scss';

.panel {
  &__container {
    position: relative;
    min-height: 560px;

    &--empty {
      background: url('/images/groupStudentsBack.png');
      background-size: cover;
    }
  }

  &__placeholder {
    top: 180px;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 50px;
    gap: 16px;
  }

  &__placeholderImage {
    position: absolute;
    top: 0;
    right: 40px;
    transform: translateY(calc(-100% + 10px));
  }

  &__placeholderImage_2 {
    position: absolute;
    bottom: 0;
    left: 8px;
    transform: translateY(calc(50% - 90px));
  }

  &__placeholderAppendImage {
    margin-top: 20px;
  }

  &__addButton {
    padding: 0 8px;
  }

  &__placeholderActions {
    display: flex;
    gap: 8px;
    position: absolute;
    top: -160px;
  }

  &__modal {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 487px;
    gap: 28px;
  }

  &__modalForm {
    gap: 32px;
    align-items: center;
    width: 100%;
    max-width: 344px;

    > * {
      width: 100%;
    }
  }

  
  &__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 23px 16px 40px;
    width: 100%;
    min-height: 560px;
  }

  &__actions {
    display: flex;
    gap: 8px;
  }

  &__spacer {
    flex: 1;
  }

  &__students {
    flex: 1;
    width: 100%;
    margin: 30px 0;
    padding: 0 24px;
    max-height: 365px;
    overflow-y: auto;
  }

  &__student {
    display: flex;
    gap: 16px;
    align-items: center;
    justify-content: flex-start;
    width: 100%;

    border-bottom: 1px solid $background-dark-white;
    padding-bottom: 12px;

    &:not(:last-child) {
      margin-bottom: 12px;
    }
  }

  &__studentImage {
    width: 60px;
    height: 60px;
    border-radius: 8px;
    object-fit: cover;
  }

  &__studentInfo {
    display: flex;
    flex-direction: column;
    gap: 2px;
    flex: 1;

    > * {
      color: $text-dark-gray;
    }

    >*:first-child {
      color: $text-primary;
    }
  }

  &__studentActions {
    display: flex;
    align-items: center;
    gap: 8px;
  }

  &__placeholder {
    .panel__actions {
      position: absolute;
      bottom: -100px;
      justify-content: center;
      width: calc(100% + 40px);
    }
  }

  &__selectedCourse {
    width: 100%;
    padding: 12px;
    background: $background-input;
    border-radius: 8px;
    border: none;
    outline: none;
    border: 1px solid $background-dark-white;
    cursor: pointer;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    color: $text-primary-2;
  }

  &__modalFormActions {
    display: flex;
    justify-content: center;
    gap: 24px;
  }

  &__modalLabel {
    display: block;
    margin-bottom: 8px;
  }

  &__modalFormListWrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
  }

  &__modalFormList {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    min-height: 230px;
    max-height: 230px;
    overflow-y: auto;
    padding: 1px 0;
  }

  &__modalFormListItem {
    display: block;
    width: 100%;

    >* {
      display: block;
    }

    &:not(:last-child) {
      border-bottom: 1px solid $text-light;
      padding-bottom: 8px;
      margin-bottom: 8px;
    }
  }
}